#!/usr/bin/env python
import sys
import os
import xmlrpclib
import time

from config import Variables

if len(sys.argv) < 3:
  sys.stderr.write("Usage: registerExample <xmlfile> [xmlfile...] password\n")
  sys.exit(1)

passwd = sys.argv[len(sys.argv)-1]

for i in range(1,len(sys.argv)-1):
  sys.stdout.write(sys.argv[i] + "\n")
  xmlfile = open(sys.argv[i],"r")
  xml=""
  buffer=1
  while buffer:
    buffer =  xmlfile.read()
    xml+= buffer
  xmlfile.close()

  neos=xmlrpclib.Server("http://%s:%d" % (Variables.NEOS_HOST, Variables.NEOS_PORT))

  response = neos.registerExample(xml,passwd)
  sys.stdout.write(response)
  time.sleep(1)


