#!/usr/bin/env python
import sys
import os
import xmlrpclib

from config import Variables

if len(sys.argv) < 6:
  sys.stderr.write("Usage: removeExample category solvername input password examplename\n")
  sys.exit(1)

category = sys.argv[1]
solvername=sys.argv[2]
input=sys.argv[3]
password=sys.argv[4]
examplename=" ".join(sys.argv[5:])

neos=xmlrpclib.Server("http://%s:%d" % (Variables.NEOS_HOST, Variables.NEOS_PORT))

response = neos.removeExample(category,solvername,input,password,examplename)
sys.stdout.write(response)


