#!/usr/bin/perl

require "/disks/neos/neos-cgi/cgi-lib.pl"; 

&ReadParse();

$name     = $in{'name'};
$addr     = $in{'address'};
$comments = $in{'comments'};
$type     = $in{'type'};
$server   = $in{'server'};
$challenge = $in{'challenge'};

unless($challenge == "5")
{
    print <<END;
Content-type: text/html


<HEADER>
<TITLE> <SERVER> Comment </TITLE>
<BODY BGCOLOR='#ffffff'>
To prove you are a person, please answer the 2+3 question.
</BODY>
END
    exit 0;
}

unless($addr)
{
    &blank_response;
    exit 0;
}
chomp($mailer = `which sendmail`);
unless (-x "$mailer") { &error; }
open(MAIL, "|$mailer -oi -t") || die; 
print MAIL <<END;
To: neos-comments\@mcs.anl.gov 
From: $addr 
Subject: Web Server Comment for NEOS
Reply-to: $addr,neos-comments\@mcs.anl.gov

Name: $name
Email: $addr

$comments
END
close(MAIL);

print <<END;
Content-type: text/html

<HEADER>
<TITLE>Comment Sent to NEOS</TITLE>
<base href='http://www-neos.mcs.anl.gov/neos/'
</HEADER>
<BODY BGCOLOR="#ffffff">
<a href=""><img src='images/globe_small.jpg' alt="NEOS Server Home" border=0></a>
<p><br>
<b>Thank you for your comment.</b>
</BODY>
END

#
# No e-mail address
#

sub blank_response
{
  print <<END;
Content-type: text/html


<HEADER>
<TITLE>Comment for NEOS</TITLE>
<BODY BGCOLOR="#ffffff">
Please enter your e-mail address and resubmit.
</BODY>
END
  exit 0;
}

#
# No mailer
#

sub error
{
  print <<END;
Content-type: text/html


<HEADER>
<TITLE>Comment for NEOS</TITLE>
<BODY BGCOLOR="#ffffff">
Your comment could not be sent.  Please mail neos-comments\@mcs.anl.gov directly.
</BODY>
END
  exit 0;
}



